How to compile hostapd-0.4.6 and wpa_supplicant-0.4.6 for madwifi-ng (1314)

Beat Meier bmeier at infovia.com.ar
Wed Nov 9 10:14:22 EST 2005


Jouni

If you don't want philosohic stuff read the end of the mail :-) for my 
conclusions to go for now ...

Jouni Malinen wrote:

>On Tue, Nov 08, 2005 at 08:42:24PM -0300, Beat Meier wrote:
>
>  
>
>>New version of wireless.h don't define anymore some includes.
>>    
>>
>
>I don't know what you are refering to with "new version", but the latest
>release, i.e., WE-19, does include linux/types.h, linux/socket.h, and
>linux/if.h.
>
>  
>
Release 28-pre10 does not include this anymore. Here the codefragment:

/***************************** INCLUDES *****************************/

/* Do not put any header in this file, this creates a mess when
 * exported to user space. Most users have included all the
 * relevant headers anyway... Jean II */
/*#include <linux/types.h>*/        /* for "caddr_t" et al      */
/*#include <linux/socket.h>*/       /* for "struct sockaddr" et al  */
/*#include <linux/if.h>*/       /* for IFNAMSIZ and co... */



>>Changes of drivers like madwifi will affect always hostapd, wpa_supplicant
>>because of changes of wireless packages.
>>    
>>
>
>Changes of the drivers should not affect (well, assuming they would use
>just Linux Wireless Extensions), but changes of WE do indeed affect user
>space programs.
>
>  
>
>>Why was wireless_copy.h added?
>>    
>>
>
>Because linux/wireless.h cannot be included in user space programs
>without major compatibility problems with libc header files. Another
>reason is in being able to build one binary that supports multiple WE
>versions.
>
>  
>
>>Madwifi has added now iwlib.h instead of linnux/wireless.h as you stated 
>>before
>>should not be included in userspace progs because of kernel space headers.
>>But iwlib.h would be the right inlcude also for hostapd, wpa_supplicant?
>>    
>>
>
>No, the license of iwlib is not compatible with hostapd/wpa_supplicant.
>
>  
>
Sorry. What do you mean with that?
hostapd/wpa_supplicant is dual license GPL version 2 and BSD,
iwlib.h is realeased unter GPL license.

Is this a problem because not BSD license or what do you mean?
sample_pm.c in wireless_tools is realease under LGPL, MPL or BSD license.

If this is a problem we could see with Jean or did you do that already 
some time ago?

>>Please let me know if anything is against this approch.
>>    
>>
>
>I cannot accept changes to hostapd/wpa_supplicant that would make them
>GPL only. I'm fine with the change that went already in into subversion,
>i.e., just #ifdef __KERNEL__ around all include statements in header
>files that are also linked into user space programs. I can include
>whatever libc headers I want to make this work for
>hostapd/wpa_supplicant and the header files are still functional for the
>kernel code without any other changes.
>
>  
>
Ok this seems to be the problem. I do not know the bsd license but would 
it help if Jean would change the
license to dual license of gpl and bsd of only the header file?

>>We are trying to find the way so everything works together again with 
>>madwifi-ng.
>>
>>Here are my patch proposel.
>>This are all against wpa_supplicant-0.4.6 and hostapd-0.4.6
>>    
>>
>
>Thanks. I'll take a closer look at this, but that may have to wait till
>Saturday.
>
>  
>
Ok  forgott everything above ...
Only philosophic questions.

I have no compile both with you wireless_copy.h and my madwifi patches 
NOT iwlib patches and
my madwifi patches.
With this I was able to compile wpa_supplicant and hostapd.
With new version of wireless.h of Release 28-pre10 copyied to 
wireless_copy.h I was not able to compile.

>>Please let me know as soon as possible if we can go this way so we can 
>>work on at madwifi
>>and do the changes.
>>    
>>
>
>What changes are needed on the driver side?
>
>  
>
Not much. An include file more or so as sent already but the fact is to 
have a version which people can use
to compile the whole stuff without applying here a patch there a patch ...


Ok here my conclusions:

I send here all patches for madwifi-ng and wpa_supplicant-0.4.6 and 
hostapd-0.4.6 together.
With this patches it is possible to compile a working 
wpa_supplicant/hostapd for madwifi-ng release 1314.

But as noted before with this patches it works fine at least for me :-)

BTW: I have testet WPA-PSK, EAP-TLS and PLAIN (no authentication) and 
everything seems to work correct
until now ...



Beat

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.shmoo.com/pipermail/hostap/attachments/20051109/13932a43/attachment.htm 
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: hostapd_madwifi_ng.patch
Url: http://lists.shmoo.com/pipermail/hostap/attachments/20051109/13932a43/attachment.txt 
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: wpa_supplicant_madwifi_ng.patch
Url: http://lists.shmoo.com/pipermail/hostap/attachments/20051109/13932a43/attachment-0001.txt 
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: madwifi_1314.patch
Url: http://lists.shmoo.com/pipermail/hostap/attachments/20051109/13932a43/attachment-0002.txt 


More information about the HostAP mailing list